[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EOSError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Operating system error.

## Declaration

Source position: sysutilh.inc line 156

`type EOSError = class(Exception)`
`public`
`ErrorCode: LongInt;` |  | Operating system error code.
`end;`

## Inheritance

`EOSError` |  | Operating system error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EOSError is raised when some Operating System call fails. The ErrorCode property contains the operating system error code.

## See also

EOSError.ErrorCode |  | Operating system error code.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.